%global dlrn_nvr ansible-role-container-registry-1.3.0-2.20210527203727.41c93a4
%global dlrn 1
%define upstream_version 1.3.0
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%global srcname ansible_role_container_registry
%global rolename ansible-role-container-registry

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{rolename}
Version: 1.3.0
Release: 2.20210527203727.41c93a4%{?dist}.1
Summary:        Ansible role to deploy a container registry.

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://git.openstack.org/cgit/openstack/ansible-role-container-registry
Source0: ansible-role-container-registry-1.3.0-2.20210527203727.41c93a4.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=41c93a403dd720e505536836865342131193c6eb

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr

# Handle python2 exception
%if %{pyver} == 2 || 0%{?rhel} > 7
Requires:       ansible
%else
Requires:       ansible-python3
%endif


%description

Ansible role to deploy a container registry

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%{pyver_build}


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{pyver_install}


%files
%doc README*
%license LICENSE
%{pyver_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/roles/


%changelog
* Thu Jun 03 2021 CPaaS User <cpaas-ops@redhat.com> - 1.3.0-2.20210527203727.41c93a4.1
- Bump release

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.0-2.20210527203727.41c93a4
- Update patches

* Mon Mar 01 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.0-1
- Update patches

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Use ansible_facts
- Fix CI

* Sat Jan 23 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Stop using handlers

* Tue Jan 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches

* Tue Jan 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Fixup requirements

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches

* Mon Nov 16 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable
- Fix all the ci

* Fri Oct 30 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches

* Tue Feb 25 2020 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Don't log login
- Migrated to molecule 3.0

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Don't stop containers before docker package update

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Merge "Disable docker iptables support"
- Disable docker iptables support

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches
- Fix race on slow environment

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 1.1.0-1
- Update patches

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Sep 30 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update the constraints url



